Subject: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Wed, 5 Mar 2014 13:23:08 -0800 (PST)

>  > Wrt the mode line, let me correct something I said earlier.
>  >
>  > I thought that the space was there for the mode line, but without
>  > the mode line text, faces, mouseover etc., i.e., as if there were
>  > an extra blank buffer line.  I was wrong about that.
>  >
>  > Checking again, I see that the buffer text extends to the bottom frame
>  > border, just as it does when frame parameter `modeline' has value nil.
>  > IOW, the mode line is apparently just not there; it is not just that it
>  > is displayed wrong.  However, `frame-parameters' shows the `mode-line'
>  > parameter value to be `t'.
> 
> This is a completely different situation.  In addition, it probably
> happens only when you want to enlarge the frame.  A timing problem,
> likely.  Does the frame have at least an external border at the bottom?

Looking again, I realize I must have been mistaken in what I said
earlier today.  It seems now that the mode line disappears only when
the node does not change (fit-frame is called anyway).  So yes, the
node text size is the same.

I was pretty sure that the mode line also disappears in some cases
when moving to a different node.  But I definitely do not see that
now, so I guess I was mistaken about that.

And yes, the frame always has its borders, including the bottom border.

Sorry for the confusion.

---

Actually, now I can repro it more simply, without using Info.  In my
setup, if I do M-: (fit-frame) more than once in the same frame, the
mode line sometimes disappears.  For most buffers/frames, it disappears.
But not always.  It does not disappear for `list-faces-display', for
some reason.  (It does disappear for `list-colors-display'.)

I still don't have a minimal recipe for this.  Perhaps tonight I will
try again to narrow things down, given this knowledge.  I thought this
was specific to Info.